Page MenuHomePhabricator

[ScopBuilder]Remove redundant while loop in ScopBuilder::buildDomains
ClosedPublic

Authored by bin.narwal on Aug 23 2019, 7:45 PM.

Details

Summary

Hi,
The while loop iterating parent loop in ScopBuilder::buildDomains is unnecessary because either L or LD are later unused, this is a simple patch removing it. Is it OK?

Thanks,
bin

Diff Detail

Event Timeline

bin.narwal created this revision.Aug 23 2019, 7:45 PM
Herald added a project: Restricted Project. · View Herald TranscriptAug 23 2019, 7:45 PM
Meinersbur accepted this revision.Aug 26 2019, 3:17 PM

LGMT. L is just unused after that (not "redundant"). Can you correct the summary?

I can commit this for you if you would like me to.

This revision is now accepted and ready to land.Aug 26 2019, 3:17 PM
bin.narwal edited the summary of this revision. (Show Details)Aug 27 2019, 4:34 AM

LGMT. L is just unused after that (not "redundant"). Can you correct the summary?

Hmm, but the while loop is redundant, right? I modified the summary mentioning that L/LD are later unused.

I can commit this for you if you would like me to.

Yes, please help commit this for me. Thanks very much.

Hmm, but the while loop is redundant, right?

In my understanding of the word, "redundant" means unnecessarily doing something that has already been done. I'd call the loop "dead".

bin.narwal edited the summary of this revision. (Show Details)Aug 28 2019, 5:55 AM

Hmm, but the while loop is redundant, right?

In my understanding of the word, "redundant" means unnecessarily doing something that has already been done. I'd call the loop "dead".

Right, I adjusted words accordingly.

Thanks,

This revision was automatically updated to reflect the committed changes.

I adjusted the title as well.

Thank you for your contribution!